## org.eclipse.datatools.modelbase.sql.datatypes
Interface SQLDataType

All Superinterfaces:
  DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  ApproximateNumericDataType, BinaryStringDataType, BooleanDataType, CharacterStringDataType, DataLinkDataType, DateDataType, ExactNumericDataType, FixedPrecisionDataType, IntegerDataType, IntervalDataType, NumberDataType, NumericalDataType, PredefinedDataType, SybaseASABasePredefinedDataType, SybaseASEPredefinedDataType, TimeDataType, XMLDataType

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypeImpl, SybaseASABasePredefinedDataTypeImpl, SybaseASACatalogBasePreDefinedType, SybaseASECatalogPreDefinedType, SybaseASEPredefinedDataTypeImpl

    public interface SQLDataType

extends DataType

A representation of the model object 'SQL Data Type'. SQLDataType represents any non user defined data type. It was introduced because a TypedElement needs to distinguish between UDTs and non UDTs.

See Also:
  `SQLDataTypesPackage.getSQLDataType()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`